Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Java] Class StructuredDateEditor

    java.lang.Object
      org.springframework.beans.propertyeditors.CustomDateEditor
          org.codehaus.groovy.grails.web.binding.StructuredDateEditor

All Implemented Interfaces:
  StructuredPropertyEditor

    public class StructuredDateEditor
    extends CustomDateEditor

Structured editor for editing dates that takes 5 fields that represent the year, month, day, hour and minute and constructs a Date instance

Authors:
  Graeme Rocher

Since:
  1.0.4

Constructor Summary
`StructuredDateEditor(java.text.DateFormat dateFormat, boolean b)`
`StructuredDateEditor(java.text.DateFormat dateFormat, boolean b, int i)`

Method Summary
`java.lang.Object` | `assemble(java.lang.Class type, java.util.Map fieldValues)`
`java.util.List` | `getOptionalFields()`
`java.util.List` | `getRequiredFields()`

Constructor Detail

### StructuredDateEditor

    public StructuredDateEditor(java.text.DateFormat dateFormat, boolean b)

### StructuredDateEditor

    public StructuredDateEditor(java.text.DateFormat dateFormat, boolean b, int i)

Method Detail

### assemble

    @SuppressWarnings("rawtypes")
    public java.lang.Object assemble(java.lang.Class type, java.util.Map fieldValues)

### getOptionalFields

    public java.util.List getOptionalFields()

### getRequiredFields

    public java.util.List getRequiredFields()

Groovy Documentation